package com.srs.workstudy.mapper;

import java.util.HashMap;
import java.util.List;

import com.srs.workstudy.domain.QgzxWorkLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 勤工助学工作记录Mapper接口
 *
 * @author srs
 * @date 2024-06-11
 */
@Mapper
public interface QgzxWorkLogMapper extends BaseMapper<QgzxWorkLog> {

    List<HashMap<String,Object>> listWorkLogMonthTotal(QgzxWorkLog param);


    public QgzxWorkLog computeMonthTime(QgzxWorkLog param);

    public List<QgzxWorkLog> listView(QgzxWorkLog param);


    /**
     * 查询勤工助学工作记录
     *
     * @param id 勤工助学工作记录主键
     * @return 勤工助学工作记录
     */
    public QgzxWorkLog selectQgzxWorkLogById(Long id);

    /**
     * 查询勤工助学工作记录列表
     *
     * @param qgzxWorkLog 勤工助学工作记录
     * @return 勤工助学工作记录集合
     */
    List<QgzxWorkLog> selectQgzxWorkLogList(QgzxWorkLog qgzxWorkLog);

    /**
     * 新增勤工助学工作记录
     *
     * @param qgzxWorkLog 勤工助学工作记录
     * @return 结果
     */
    int insertQgzxWorkLog(QgzxWorkLog qgzxWorkLog);

    /**
     * 修改勤工助学工作记录
     *
     * @param qgzxWorkLog 勤工助学工作记录
     * @return 结果
     */
    int updateQgzxWorkLog(QgzxWorkLog qgzxWorkLog);

    /**
     * 删除勤工助学工作记录
     *
     * @param id 勤工助学工作记录主键
     * @return 结果
     */
    int deleteQgzxWorkLogById(Long id);

    /**
     * 批量删除勤工助学工作记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQgzxWorkLogByIds(Long[] ids);
}
